{% extends "educacao/index.html" %}

{% load staticfiles %}
{% load crispy_forms_tags %}


{% block bibliotecas %}
    <link rel="stylesheet" type="text/css" href="{% static 'choosen/chosen_v1.8.7/chosen.min.css' %}">
    <script type="text/javascript" charset="utf8" src="{% static 'choosen/chosen_v1.8.7/chosen.jquery.min.js' %}"></script>

    <script type="text/javascript" src="{% static "ckeditor/ckeditor-init.js" %}"></script>
    <script type="text/javascript" src="{% static "ckeditor/ckeditor/ckeditor.js" %}"></script>
{% endblock %}


{% block barra_horizontal %}
    <input type="submit" form="formulario_editar_relatorio" role="button" class="btn btn-primary botao-barra-horizontal" value="Salvar">
    <a href="{% url 'educacao:ver_disciplina' relatorio.disciplina.id %}" class="btn btn-warning botao-barra-horizontal">Voltar</a>
{% endblock %}


{% block corpo_pagina %}
    <form method="post"  id="formulario_editar_relatorio" enctype="multipart/form-data" class="formulario sem-asterisco">
    {% csrf_token %}

        <div class="card cartao">
            <h5 class="card-header cartao-titulo">
                <img src="{{ relatorio.disciplina.icone.url }}">
                Editando o relatório {{ relatorio.sigla }}
            </h5>

            <div class="card-body">
                <div class="form-group form-row">
                    <div class="col-md-6">
                        {{ formulario.titulo|as_crispy_field }}
                    </div>
                    <div class="col-md-6">
                        {{ formulario.numero_maximo_integrantes_grupo|as_crispy_field }}
                    </div>
                </div>
                <div class="form-group form-row">
                    <div class="col-md-12">
                        {{ formulario.descricao|as_crispy_field }}
                    </div>
                </div>

                <div class="form-group form-row">
                    <div class="col-md-6">
                        {{ formulario.visibilidade|as_crispy_field }}
                    </div>
                    <div class="col-md-6">
                        {{ formulario.data_para_ficar_visivel|as_crispy_field }}
                    </div>
                </div>

                <div class="form-group form-row">
                    <div class="col-md-6">
                        {{ formulario.data_limite_entrega|as_crispy_field }}
                    </div>
                    <div class="col-md-6">
                        {{ formulario.numero_maximo_tentativas|as_crispy_field }}
                    </div>
                </div>

                <div class="form-group form-row">
                    <div class="col-md-3">
                        {{ formulario.aceita_envios_apenas_antes_data_limite|as_crispy_field }}
                    </div>
                    <div class="col-md-3">
                        {{ formulario.correcao_apos_data_limite|as_crispy_field }}
                    </div>
                    <div class="col-md-3">
                        {{ formulario.aceita_envios_apenas_antes_data_limite|as_crispy_field }}
                    </div>
                    <div class="col-md-3">
                        {{ formulario.permitir_resubmissao|as_crispy_field }}
                    </div>
                </div>
            </div>
        </div>
    </form>

    <div class="card cartao">
        <h5 class="card-header cartao-titulo">
            <img src="{% static 'icones/equipamento.svg' %}">
            Experimentos práticos com o laboratório remoto
        </h5>

        <div class="card-body">
            <a href="{% url 'educacao:adicionar_experimento_remoto_no_relatorio' relatorio.id %}"
               class="btn btn-primary botao-barra-horizontal">Adicionar experimento no Laboratório Remoto</a>

                {% if experimentos.count > 0 %}
                <p></p>
                <p>Experimentos cadastrados:</p>
                <table class="tabela-lista" id="tabela-relatorios">
                    <thead>
                        <tr>
                            <th>Ações</th>
                            <th>Experimento</th>
                        </tr>
                    </thead>
                    <tbody>
                    {% for experimento in experimentos %}
                    {% if usuario.tipo == usuario.TIPO_DOCENTE or lista.visibilidade == lista.VISIBILIDADE_VISIVEL  %}
                    <tr>
                        <td>
{#                            <a href="{% url 'educacao:responder_questao_da_avaliacao' lista.id %}" data-toggle="tooltip" data-placement="bottom" title="Responder as questões">#}
{#                                <img src="{% static 'icones/ver.svg' %}" alt="Resolver">#}
{#                            </a>#}

                            {% if usuario.tipo == usuario.TIPO_DOCENTE %}
{#                                <a href="{% url 'educacao:ver_entregas_avaliacao' lista.id %}" data-toggle="tooltip" data-placement="bottom" title="Ver entregas">#}
{#                                    <img src="{% static 'icones/preview.svg' %}" alt="Ver entregas">#}
{#                                </a>#}
                                <a href="{% url 'lab_remoto:editar_ensaio' experimento.ensaio.id %}"data-toggle="tooltip" data-placement="bottom" title="Editar experimento">
                                    <img src="{% static 'icones/editar.svg' %}" alt="Editar experimento">
                                </a>
                                <a href="{% url 'educacao:remover_experimento_remoto_no_relatorio' experimento.id %}"data-toggle="tooltip" data-placement="bottom" title="Remover experimento">
                                    <img src="{% static 'icones/apagar.svg' %}" alt="Remover experimento">
                                </a>
                            {% endif %}
                        </td>
                        <td>{{ experimento.ensaio.nome }}</td>

                    </tr>
                    {% endif %}
                    {% endfor %}
                    </tbody>
                </table>
            {% else %}
                {# Não há nenhuma lista de exercícios cadastrada ainda! #}
            {% endif %}

        </div>
    </div>

{% endblock %}




{% block javascript %}
{% endblock %}

